Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Runner Class Reference

`#include <jsontest.h>`

## Public Member Functions
| Runner ()
Runner & | add (TestCaseFactory factory)
| Adds a test to the suite. More...
int | runCommandLine (int argc, const char *argv[]) const
bool | runAllTest (bool printSummary) const
| Runs all the test cases. More...
unsigned int | testCount () const
| Returns the number of test case in the suite. More...
std::string | testNameAt (unsigned int index) const
| Returns the name of the test case at the specified index. More...
void | runTestAt (unsigned int index, TestResult &result) const
| Runs the test case at the specified index using the specified TestResult. More...

## Static Public Member Functions
static void | printUsage (const char *appName)

## Constructor & Destructor Documentation

Runner | ( |  | ) |

## Member Function Documentation

Runner & add | ( | TestCaseFactory | factory | ) |

Adds a test to the suite.

void printUsage | ( | const char * | appName | ) |
| static

bool runAllTest | ( | bool | printSummary | ) | const

Runs all the test cases.

int runCommandLine | ( | int | argc,
|  | const char * | argv[]
| ) |  | const

Runs test as specified on the command-line If no command-line arguments are provided, run all tests. If –list-tests is provided, then print the list of all test cases If –test <testname> is provided, then run test testname.

void runTestAt | ( | unsigned int | index,
|  | TestResult & | result
| ) |  | const

Runs the test case at the specified index using the specified TestResult.

unsigned int testCount | ( |  | ) | const

Returns the number of test case in the suite.

std::string testNameAt | ( | unsigned int | index | ) | const

Returns the name of the test case at the specified index.

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/jsoncpp/src/test_lib_json/jsontest.h
- persistence/rapidjson/thirdparty/jsoncpp/src/test_lib_json/jsontest.cpp